---
title: <input type="range">
slug: Web/HTML/Element/input/range
tags:
  - Element
  - Forms
  - HTML
  - HTML forms
  - HTML input tag
  - Input
  - Range
  - Reference
  - Web
  - slider
---
<div>{{HTMLRef("Input_types")}}</div>

<p><span class="seoSummary">{{HTMLElement("input")}} elements of type <strong><code>range</code></strong> let the user specify a numeric value which must be no less than a given value, and no more than another given value. The precise value, however, is not considered important. This is typically represented using a slider or dial control rather than a text entry box like the {{HTMLElement('input/number', 'number')}} input type.</span> Because this kind of widget is imprecise, it shouldn't typically be used unless the control's exact value isn't important.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/input-range.html", "tabbed-standard")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<p>If the user's browser doesn't support type <code>range</code>, it will fall back and treat it as a <code>{{HTMLElement('input/text', 'text')}}</code> input.</p>

<table class="properties">
 <tbody>
  <tr>
   <td><strong>{{anch("Value")}}</strong></td>
   <td>A {{domxref("DOMString")}} containing the string representation of the selected numeric value; use {{domxref("HTMLInputElement.valueAsNumber", "valueAsNumber")}} to get the value as a {{jsxref("Number")}}.</td>
  </tr>
  <tr>
   <td><strong>Events</strong></td>
   <td>{{event("change")}} and {{event("input")}}</td>
  </tr>
  <tr>
   <td><strong>Supported common attributes</strong></td>
   <td>{{htmlattrxref("autocomplete", "input")}}, {{htmlattrxref("list", "input")}}, {{htmlattrxref("max", "input")}}, {{htmlattrxref("min", "input")}}, and {{htmlattrxref("step", "input")}}</td>
  </tr>
  <tr>
   <td><strong>IDL attributes</strong></td>
   <td><code>list</code>, <code>value</code>, and <code>valueAsNumber</code></td>
  </tr>
  <tr>
   <td><strong>Methods</strong></td>
   <td>{{domxref("HTMLInputElement.stepDown", "stepDown()")}} and {{domxref("HTMLInputElement.stepUp", "stepUp()")}}</td>
  </tr>
 </tbody>
</table>

<h3 id="Validation">Validation</h3>

<p>There is no pattern validation available; however, the following forms of automatic validation are performed:</p>

<ul>
 <li>If the {{htmlattrxref("value", "input")}} is set to something which can't be converted into a valid floating-point number, validation fails because the input is suffering from a bad input.</li>
 <li>The value won't be less than {{htmlattrxref("min", "input")}}. The default is 0.</li>
 <li>The value won't be greater than {{htmlattrxref("max", "input")}}. The default is 100.</li>
 <li>The value will be a multiple of {{htmlattrxref("step", "input")}}. The default is 1.</li>
</ul>

<h3 id="Value">Value</h3>

<p>The {{htmlattrxref("value", "input")}} attribute contains a {{domxref("DOMString")}} which contains a string representation of the selected number. The value is never an empty string (<code>""</code>). The default value is halfway between the specified minimum and maximum—unless the maximum is actually less than the minimum, in which case the default is set to the value of the <code>min</code> attribute. The algorithm for determining the default value is:</p>

<pre class="brush: js notranslate">defaultValue = (rangeElem.max &lt; rangeElem.min) ? rangeElem.min
               : rangeElem.min + (rangeElem.max - rangeElem.min)/2;</pre>

<p>If an attempt is made to set the value lower than the minimum, it is set to the minimum. Similarly, an attempt to set the value higher than the maximum results in it being set to the maximum.</p>

<h2 id="Additional_attributes">Additional attributes</h2>

<p>In addition to the attributes shared by all {{HTMLElement("input")}} elements, range inputs offer the following attributes:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Attribute</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>{{anch("list")}}</code></td>
   <td>The id of the &lt;datalist&gt; element that contains optional pre-defined options</td>
  </tr>
  <tr>
   <td><code>{{anch("max")}}</code></td>
   <td>The maximum permitted value</td>
  </tr>
  <tr>
   <td><code>{{anch("min")}}</code></td>
   <td>The minimum permitted value</td>
  </tr>
  <tr>
   <td><code>{{anch("step")}}</code></td>
   <td>The stepping interval, used both for user interface and validation purposes</td>
  </tr>
 </tbody>
</table>

<p id="htmlattrdeflist">{{page("/en-US/docs/Web/HTML/Element/input/text", "list", 0, 1, 2)}}</p>

<p>See the <a href="#A_range_control_with_hash_marks">range control with hash marks</a> below for an example of how the options on a range are denoted in supported browsers</p>

<h3 id="htmlattrdefmax">{{htmlattrdef("max")}}</h3>

<p>The greatest value in the range of permitted values. If the {{htmlattrxref("value", "input")}} entered into the element exceeds this, the element fails <a href="/en-US/docs/Web/Guide/HTML/HTML5/Constraint_validation">constraint validation</a>. If the value of the <code><a href="/en-US/docs/Web/HTML/Attributes/max">max</a></code> attribute isn't a number, then the element has no maximum value.</p>

<p>This value must be greater than or equal to the value of the <code><a href="/en-US/docs/Web/HTML/Attributes/min">min</a></code> attribute. See the HTML <a href="/en-US/docs/Web/HTML/Attributes/max"><code>max</code></a> attribute.</p>

<h3 id="htmlattrdefmin">{{htmlattrdef("min")}}</h3>

<p>The lowest value in the range of permitted values. If the {{htmlattrxref("value", "input")}} of the element is less than this, the element fails <a href="/en-US/docs/Web/Guide/HTML/HTML5/Constraint_validation">constraint validation</a>. If a value is specified for <code>min</code> that isn't a valid number, the input has no minimum value.</p>

<p>This value must be less than or equal to the value of the <code><a href="/en-US/docs/Web/HTML/Attributes/max">max</a></code> attribute. See the <a href="/en-US/docs/Web/HTML/Attributes/min">HTML <code>min </code>attribute.</a></p>

<h3 id="htmlattrdefstep">{{htmlattrdef("step")}}</h3>

<p>{{page("/en-US/docs/Web/HTML/Element/input/number", "step-include")}}</p>

<p>The default stepping value for <code>range</code> inputs is 1, allowing only integers to be entered, <em>unless</em> the stepping base is not an integer; for example, if you set <code>min</code> to -10 and <code>value</code> to 1.5, then a <code>step</code> of 1 will allow only values such as 1.5, 2.5, 3.5,... in the positive direction and -0.5, -1.5, -2.5,... in the negative direction. See the <a href="/en-US/docs/Web/HTML/Attributes/step">HTML <code>step</code> attribute</a>.</p>

<h3 id="Non_Standard_Attributes">Non Standard Attributes</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Attribute</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>{{anch("orient")}}</code></td>
   <td>Sets the orientation of the range slider. <strong>Firefox only.</strong></td>
  </tr>
 </tbody>
</table>

<dl>
 <dt>{{htmlattrdef("orient")}} {{non-standard_inline}}</dt>
 <dd id="orient-include">Similar to the -moz-orient non-standard CSS property impacting the {{htmlelement('progress')}} and {{htmlelement('meter')}} elements, the <code>orient</code> attribute defines the orientation of the range slider. Values include <code>horizontal</code>, meaning the range is rendered horizontally, and <code>vertical</code>, where the range is rendered vertically.</dd>
</dl>

<div class="notecard note">
<p>Note: The following input attributes do not apply to the input range: <code>accept</code>, <code>alt</code>, <code>checked</code>, <code>dirname</code>, <code>formaction</code>, <code>formenctype</code>, <code>formmethod</code>, <code>formnovalidate</code>, <code>formtarget</code>, <code>height</code>, <code>maxlength</code>, <code>minlength</code>, <code>multiple</code>, <code>pattern</code>, <code>placeholder</code>, <code>readonly</code>, <code>required</code>, <code>size</code>, <code>src</code>, and <code>width</code>. Any of these attributes, if included, will be ignored.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>While the <code>number</code> type lets users enter a number with optional constraints forcing their value to be between a minimum and a maximum value, it does require that they enter a specific value. The <code>range</code> input type lets you ask the user for a value in cases where the user may not even care—or know—what the specific numeric value selected is.</p>

<p>A few examples of situations in which range inputs are commonly used:</p>

<ul>
 <li>Audio controls such as volume and balance, or filter controls.</li>
 <li>Color configuration controls such as color channels, transparency, brightness, etc.</li>
 <li>Game configuration controls such as difficulty, visibility distance, world size, and so forth.</li>
 <li>Password length for a password manager's generated passwords.</li>
</ul>

<p>As a rule, if the user is more likely to be interested in the percentage of the distance between minimum and maximum values than the actual number itself, a range input is a great candidate. For example, in the case of a home stereo volume control, users typically think "set volume at halfway to maximum" instead of "set volume to 0.5".</p>

<h3 id="Specifying_the_minimum_and_maximum">Specifying the minimum and maximum</h3>

<p>By default, the minimum is 0 and the maximum is 100. If that's not what you want, you can easily specify different bounds by changing the values of the {{htmlattrxref("min", "input")}} and/or {{htmlattrxref("max", "input")}} attributes. These can be any floating-point value.</p>

<p>For example, to ask the user for a value between -10 and 10, you can use:</p>

<pre class="brush: html notranslate">&lt;input type="range" min="-10" max="10"&gt;</pre>

<p>{{EmbedLiveSample("Specifying_the_minimum_and_maximum", 600, 40)}}</p>

<h3 id="Setting_the_values_granularity">Setting the value's granularity</h3>

<p>By default, the granularity, is 1, meaning that the value is always an integer. You can change the {{htmlattrxref("step")}} attribute to control the granularity. For example, If you need a value between 5 and 10, accurate to two decimal places, you should set the value of <code>step</code> to 0.01:</p>

<div id="Granularity_sample1">
<pre class="brush: html notranslate">&lt;input type="range" min="5" max="10" step="0.01"&gt;</pre>

<p>{{EmbedLiveSample("Granularity_sample1", 600, 40)}}</p>
</div>

<p>If you want to accept any value regardless of how many decimal places it extends to, you can specify a value of <code>any</code> for the {{htmlattrxref("step", "input")}} attribute:</p>

<div id="Granularity_sample2">
<pre class="brush: html notranslate">&lt;input type="range" min="0" max="3.14" step="any"&gt;</pre>

<p>{{EmbedLiveSample("Granularity_sample2", 600, 40)}}</p>

<p>This example lets the user select any value between 0 and π without any restriction on the fractional part of the value selected.</p>
</div>

<h3 id="Adding_hash_marks_and_labels">Adding hash marks and labels</h3>

<p>The HTML specification gives browsers some flexibility on how to present the range control. Nowhere is this flexibility more apparent than in the area of hash marks and, to a lesser degree, labels. The specification describes how to add custom points to the range control using the {{htmlattrxref("list", "input")}} attribute and a {{HTMLElement("datalist")}} element, but does not have any requirements or even recommendations for standardized hash or tick marks along the length of the control.</p>

<h4 id="Range_control_mockups">Range control mockups</h4>

<p>Since browsers have this flexibility, and to date none support all of the features HTML defines for range controls, here are some mockups to show you what you might get on macOS in a browser which supports them.</p>

<h5 id="An_unadorned_range_control">An unadorned range control</h5>

<p>This is what you get if you don't specify a {{htmlattrxref("list", "input")}} attribute, or if the browser doesn't support it.</p>

<table class="fullwidth standard-table">
 <tbody>
  <tr>
   <th>HTML</th>
   <th>Examples</th>
  </tr>
  <tr>
   <td rowspan="4">
    <pre class="brush: html notranslate">
&lt;input type="range"&gt;</pre>
   </td>
   <th>Screenshot</th>
  </tr>
  <tr>
   <td><img alt="Screenshot of a plain slider control on macOS" src="macslider-plain.png" style="height: 28px; width: 184px;"></td>
  </tr>
  <tr>
   <th>Live</th>
  </tr>
  <tr>
   <td>{{EmbedLiveSample("An_unadorned_range_control",200,55,"","", "nobutton")}}</td>
  </tr>
 </tbody>
</table>

<h5 id="A_range_control_with_hash_marks">A range control with hash marks</h5>

<p>This range control is using a <code>list</code> attribute specifying the ID of a {{HTMLElement("datalist")}} which defines a series of hash marks on the control. There are eleven of them, so that there's one at 0% as well as at each 10% mark. Each point is represented using an {{HTMLElement("option")}} element with its {{htmlattrxref("value", "option")}} set to the range's value at which a mark should be drawn.</p>

<table class="fullwidth standard-table">
 <tbody>
  <tr>
   <th>HTML</th>
   <th>Examples</th>
  </tr>
  <tr>
   <td rowspan="4">
    <pre class="brush: html notranslate">
&lt;input type="range" list="tickmarks"&gt;

&lt;datalist id="tickmarks"&gt;
  &lt;option value="0"&gt;&lt;/option&gt;
  &lt;option value="10"&gt;&lt;/option&gt;
  &lt;option value="20"&gt;&lt;/option&gt;
  &lt;option value="30"&gt;&lt;/option&gt;
  &lt;option value="40"&gt;&lt;/option&gt;
  &lt;option value="50"&gt;&lt;/option&gt;
  &lt;option value="60"&gt;&lt;/option&gt;
  &lt;option value="70"&gt;&lt;/option&gt;
  &lt;option value="80"&gt;&lt;/option&gt;
  &lt;option value="90"&gt;&lt;/option&gt;
  &lt;option value="100"&gt;&lt;/option&gt;
&lt;/datalist&gt;
</pre>
   </td>
   <th>Screenshot</th>
  </tr>
  <tr>
   <td><img alt="Screenshot of a plain slider control on macOS" src="macslider-ticks.png" style="height: 28px; width: 184px;"></td>
  </tr>
  <tr>
   <th>Live</th>
  </tr>
  <tr>
   <td>{{EmbedLiveSample("A_range_control_with_hash_marks_and_labels",200,55,"","", "nobutton")}}</td>
  </tr>
 </tbody>
</table>

<h5 id="A_range_control_with_hash_marks_and_labels">A range control with hash marks and labels</h5>

<p>You can add labels to your range control by adding the {{htmlattrxref("label", "option")}} attribute to the {{HTMLElement("option")}} elements corresponding to the tick marks you wish to have labels for.</p>

<table class="fullwidth standard-table">
 <tbody>
  <tr>
   <th>HTML</th>
   <th>Examples</th>
  </tr>
  <tr>
   <td rowspan="4">
    <pre class="brush: html notranslate">
&lt;input type="range" list="tickmarks"&gt;

&lt;datalist id="tickmarks"&gt;
  &lt;option value="0" label="0%"&gt;&lt;/option&gt;
  &lt;option value="10"&gt;&lt;/option&gt;
  &lt;option value="20"&gt;&lt;/option&gt;
  &lt;option value="30"&gt;&lt;/option&gt;
  &lt;option value="40"&gt;&lt;/option&gt;
  &lt;option value="50" label="50%"&gt;&lt;/option&gt;
  &lt;option value="60"&gt;&lt;/option&gt;
  &lt;option value="70"&gt;&lt;/option&gt;
  &lt;option value="80"&gt;&lt;/option&gt;
  &lt;option value="90"&gt;&lt;/option&gt;
  &lt;option value="100" label="100%"&gt;&lt;/option&gt;
&lt;/datalist&gt;
</pre>
   </td>
   <th>Screenshot</th>
  </tr>
  <tr>
   <td><img alt="Screenshot of a plain slider control on macOS" src="macslider-labels.png" style="height: 44px; width: 184px;"></td>
  </tr>
  <tr>
   <th>Live</th>
  </tr>
  <tr>
   <td>{{EmbedLiveSample("A_range_control_with_hash_marks_and_labels",200,55,"","", "nobutton")}}</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p><strong>Note</strong>: Currently, no browser fully supports these features. Firefox doesn't support hash marks and labels at all, for example, while Chrome supports hash marks but doesn't support labels. Version 66 (66.0.3359.181) of Chrome supports labels but the {{htmlelement("datalist")}} tag has to be styled with CSS as its {{cssxref("display")}} property is set to <code>none</code> by default, hiding the labels.</p>
</div>

<h3 id="Change_the_orientation">Change the orientation</h3>

<div class="xhidden">
<p>By default, if a browser renders a range input as a slider, it will render it so that the knob slides left and right. When supported, we will be able to make the range vertical, to slide up and down with CSS by declaring a height value greater than the width value.<strong> </strong>This is not actually implemented yet by any of the major browsers. (See Firefox {{bug(981916)}}, <a href="https://bugs.chromium.org/p/chromium/issues/detail?id=341071">Chrome bug 341071</a>). It also, perhaps, may still be <a href="https://github.com/whatwg/html/issues/4177">under discussion</a>.</p>

<p>In the meantime, we can make the range vertical by rotating it using CSS transforms, or, by targeting each browser engine with their own method, which includes setting the {{cssxref('appearance')}} to <code>slider-vertical</code>, by using a non-standard <code>orient</code> attribute in Firefox, or by changing the text direction for Internet Explorer and Edge.</p>

<p>Consider this range control:</p>

<div id="Orientation_sample1">
<pre class="brush: html notranslate">&lt;input type="range" id="volume" min="0" max="11" value="7" step="1"&gt;</pre>
</div>

<p>{{EmbedLiveSample("Orientation_sample1", 200, 200, "https://mdn.mozillademos.org/files/14983/Orientation_sample1.png")}}</p>

<p>This control is horizontal (at least on most if not all major browers; others might vary).</p>

<h3 id="Standards">Standards</h3>

<p>According to the specification, making it vertical requires adding CSS to change the dimensions of the control so that it's taller than it is wide, like this:</p>

<div id="Orientation_sample2">
<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">#volume {
  height: 150px;
  width: 50px;
}</pre>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;input type="range" id="volume" min="0" max="11" value="7" step="1"&gt;</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Orientation_sample2", 200, 200, "https://mdn.mozillademos.org/files/14985/Orientation_sample2.png")}}</p>
</div>
</div>

<p>Unfortunately, no major browsers currently support vertical range controls directly.</p>

<h3 id="transform_rotate-90deg">transform: rotate(-90deg)</h3>

<p>You can, however, create a vertical range control by drawing a horizontal range control on its side. The easiest way is to use CSS: by applying a {{cssxref("transform")}} to rotate the element, you can make it vertical. Let's take a look.</p>

<h4 id="HTML_2">HTML</h4>

<p>The HTML needs to be updated to wrap the {{HTMLElement("input")}} in a {{HTMLElement("div")}} to let us correct the layout after the transform is performed (since transforms don't automatically affect the layout of the page):</p>

<pre class="brush: html notranslate">&lt;div class="slider-wrapper"&gt;
  &lt;input type="range" min="0" max="11" value="7" step="1"&gt;
&lt;/div&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<p>Now we need some CSS. First is the CSS for the wrapper itself; this specifies the display mode and size we want so that the page lays out correctly; in essence, it's reserving an area of the page for the slider so that the rotated slider fits into the reserved space without making a mess of things.</p>

<pre class="brush: css notranslate">.slider-wrapper {
  display: inline-block;
  width: 20px;
  height: 150px;
  padding: 0;
}
</pre>

<p>Then comes the style information for the <code>&lt;input&gt;</code> element within the reserved space:</p>

<pre class="brush: css notranslate">.slider-wrapper input {
  width: 150px;
  height: 20px;
  margin: 0;
  transform-origin: 75px 75px;
  transform: rotate(-90deg);
}</pre>

<p>The size of the control is set to be 150 pixels long by 20 pixels tall. The margins are set to 0 and the {{cssxref("transform-origin")}} is shifted to the middle of the space the slider rotates through; since the slider is configured to be 150 pixels wide, it rotates through a box which is 150 pixels on each side. Offsetting the origin by 75px on each axis means we will rotate around the center of that space. Finally, we rotate counter-clockwise by 90°. The result: a range input which is rotated so the maximum value is at the top and the minimum value is at the bottom.</p>

<p>{{EmbedLiveSample("transform_rotate-90deg", 200, 200, "https://mdn.mozillademos.org/files/14987/Orientation_sample3.png")}}</p>

<h3 id="appearance_property">appearance property</h3>

<p>The {{cssxref('appearance')}} property has a non-standard value of <code>slider-vertical</code> that, well, makes sliders vertical.</p>

<h4 id="HTML_3">HTML</h4>

<p>We use the same HTML as in the previous examples:</p>

<pre class="brush: html notranslate">&lt;input type="range" min="0" max="11" value="7" step="1"&gt;
</pre>

<h4 id="CSS_3">CSS</h4>

<p>We target just the inputs with a type of range:</p>

<pre class="brush: css notranslate">input[type="range"] {
  -webkit-appearance: slider-vertical;
}</pre>

<p>{{EmbedLiveSample("appearance_property", 200, 200)}}</p>

<h3 id="orient_attribute">orient attribute</h3>

<p>In Firefox only, there is a non-standard <code>orient</code> property.</p>

<h4 id="HTML_4">HTML</h4>

<p>Use similar HTML as in the previous examples, we add the attribute with a value of <code>vertical</code>:</p>

<pre class="brush: html notranslate">&lt;input type="range" min="0" max="11" value="7" step="1" orient="vertical"&gt;
</pre>

<p>{{EmbedLiveSample("orient_attribute", 200, 200)}}</p>

<h3 id="writing-mode_bt-lr">writing-mode: bt-lr;</h3>

<p>The {{cssxref('writing-mode')}} property should generally not be used to alter text direction for internationalization or localization purposes, but can be used for special effects. </p>

<h4 id="HTML_5">HTML</h4>

<p>We use the same HTML as in the previous examples:</p>

<pre class="brush: html notranslate">&lt;input type="range" min="0" max="11" value="7" step="1"&gt;
</pre>

<h4 id="CSS_4">CSS</h4>

<p>We target just the inputs with a type of range, changing the writing mode from the default to <code>bt-lr</code>, or bottom-to-top and left-to-right:</p>

<pre class="brush: css notranslate">input[type="range"] {
  writing-mode: bt-lr;
}</pre>

<p>{{EmbedLiveSample("writing-mode_bt-lr", 200, 200)}}</p>

<h3 id="Putting_it_all_together">Putting it all together</h3>

<p>As each of the above examples works in different browsers, you can put all of them in a single example to make it work cross browser:</p>

<h4 id="HTML_6">HTML</h4>

<p>We keep the <code>orient</code> attribute with a value of <code>vertical</code> for Firefox:</p>

<pre class="brush: html notranslate">&lt;input type="range" min="0" max="11" value="7" step="1" orient="vertical"&gt;
</pre>

<h4 id="CSS_5">CSS</h4>

<p>We target just the inputs with a type of range, changing the writing mode from the default to <code>bt-lr</code>, or bottom-to-top and left-to-right, for Edge and Internet Explorer, and add <code>-webkit-appearance: slider-vertical</code> for all -webkit-based browsers:</p>

<pre class="brush: css notranslate">input[type="range"] {
  writing-mode: bt-lr;
  -webkit-appearance: slider-vertical;
}</pre>

<p>{{EmbedLiveSample("Putting_it_all_together", 200, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'forms.html#range-state-(type=range)', '&lt;input type="range"&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', 'sec-forms.html#range-state-typerange', '&lt;input type="range"&gt;')}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.input.input-range")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/Forms">HTML Forms</a></li>
 <li>{{HTMLElement("input")}} and the {{domxref("HTMLInputElement")}} interface it's based upon</li>
 <li><code><a href="/en-US/docs/Web/HTML/Element/input/number">&lt;input type="number"&gt;</a></code></li>
 <li>{{domxref('validityState.rangeOverflow')}} and {{domxref('validityState.rangeUnderflow')}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Controlling_multiple_parameters_with_ConstantSourceNode">Controlling multiple parameters with ConstantSourceNode</a></li>
 <li><a href="https://css-tricks.com/sliding-nightmare-understanding-range-input">Styling the range element</a></li>
 <li><a href="/en-US/docs/Learn/Forms/Property_compatibility_table_for_form_controls">Compatibility of CSS properties</a></li>
</ul>
